#ifndef FX_PLASMA_H
#define FX_PLASMA_H

#include <CL/cl.h>
#include <CL/cl_gl.h>

#include "project_volumes.h"

void opencl_fx_plasma_init(Cvolume *vol);
void get_fx_plasma_cols(unsigned int *cols);
//unsigned char* opencl_fx_plasma_run(int vol_width, int ptime);
cl_mem opencl_fx_plasma_run(int vol_width, int ptime);
void opencl_fx_plasma_deinit();
extern cl_event fx_event;

#endif
